Running Intel RSD Test Suite
============================

A suite of tests for Intel RSD functionality in MAAS are provided in maas-rsd.py

To run them you need to do the following:

1. Ensure you have access to a MAAS instance which itself has access to an RSD instance
2. Create a profile in the MAAS CLI callled 'rsd' that points to that instance
3. Update the rsd.yaml file with the appropriate values, where:

    - ip: is the IP address of the *RSD Instance*
    - port: is the port number of the RSD Instance
    - user: is the username on the RSD instance
    - pass: is the password on the RSD instance
    - composed_machines: is the number of pre-composed machines expected

4. Ensure you have the python3-yaml package installed (or are in a virtual environment with it installed)
5. Execute the command nosetests3 maas-rsd.py
